%define		php5_extension	fileinfo
Name:	 	php5-%php5_extension
Version:	1.0.4
Release:	alt7
Group:		System/Servers
License:	PHP Licence
Packager: Alexey Gladkov <legion@altlinux.ru>

URL:		http://pecl.php.net/package/%{php5_extension}
Serial:		1

BuildRequires(pre): rpm-build-php5
BuildRequires: php5-devel = %php5_version-%php5_release, libmagic-devel, file

Summary:	%{php5_extension} extension for PHP5

Source0:	php5-%php5_extension-%version.tar
Source1:	php5-%php5_extension.ini
Source2:	php5-%php5_extension-params.sh

%description 
This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.

%prep
%setup -q -n php5-%php5_extension-%version

%build
export CFLAGS="%optflags"

phpize
%configure
%php5_make

%install
%php5_make_install
%__install -D -m 644 %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params

%files
%php5_extconf/%php5_extension
%php5_extdir/*
%doc CREDITS

%post
%php5_extension_postin

%preun
%php5_extension_preun

%changelog
* Thu Jul 23 2009 Alexey Gladkov <legion@altlinux.ru> 1:1.0.4-alt7
- Rebuild with new php (5.2.11.20090722).

* Fri Feb 06 2009 Alexey Gladkov <legion@altlinux.ru> 1:1.0.4-alt6
- Rebuild with new php snapshot.

* Tue Sep 23 2008 Alexey Gladkov <legion@altlinux.ru> 1:1.0.4-alt5
- Rebuild with new php snapshot.

* Thu Jul 03 2008 Alexey Gladkov <legion@altlinux.ru> 1:1.0.4-alt4
- rebuild with new php5 (5.2.7).

* Sun Mar 30 2008 L.A. Kostis <lakostis@altlinux.ru> 1:1.0.4-alt3
- rebuild with new php5 (5.2.5).

* Sun Jun 03 2007 L.A. Kostis <lakostis@altlinux.ru> 1:1.0.4-alt2
- rebuild with new php5 (5.2.3).

* Thu May 31 2007 L.A. Kostis <lakostis@altlinux.ru> 1:1.0.4-alt1.2
- remove unnecessary requires.

* Sun May 20 2007 L.A. Kostis <lakostis@altlinux.ru> 1:1.0.4-alt1.1
- fix a typo in .ini.

* Sun May 13 2007 L.A. Kostis <lakostis@altlinux.ru> 1:1.0.4-alt1
- first build for Sisyphus.


